/*
   Kickshaw - A Menu Editor for Openbox

   Copyright (c) 2010–2021        Marcus Schätzle

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License along 
   with Kickshaw. If not, see http://www.gnu.org/licenses/.
*/

#ifndef __undo_redo_autosave_h
#define __undo_redo_autosave_h

extern ks_data ks;

extern gboolean add_icon_occurrence_to_list (G_GNUC_UNUSED GtkTreeModel *foreach_model, GtkTreePath *foreach_path,
                                             GtkTreeIter  *foreach_iter, G_GNUC_UNUSED gpointer user_data);
extern gboolean check_for_external_file_and_settings_changes (G_GNUC_UNUSED gpointer identifier);
extern void free_elements_of_static_string_array (gchar **string_array, gint8 number_of_fields, const gboolean set_to_NULL);
extern gchar *get_modification_time_for_icon (const gchar *icon_path);
extern void row_selected (void);
extern void set_filename_and_window_title (gchar *new_filename);
extern gboolean set_icon (GtkTreeIter *icon_iter, const gchar *icon_path, const gboolean display_err_msg, const gboolean during_undo_redo);
extern void show_errmsg (const gchar *errmsg_raw_txt);
extern void stop_timeout (void);
extern gboolean streq_any (const gchar *string, ...) G_GNUC_NULL_TERMINATED;

#endif
